This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### ellipse()
Examples |
    ellipse(56, 46, 55, 55);
Description | Draws an ellipse (oval) to the screen. An ellipse with equal width and height is a circle. By default, the first two parameters set the location, and the third and fourth parameters set the shape's width and height. The origin may be changed with the ellipseMode() function.
Syntax |
    ellipse(a, b, c, d)
Parameters |
a | float: x-coordinate of the ellipse
b | float: y-coordinate of the ellipse
c | float: width of the ellipse by default
d | float: height of the ellipse by default
Returns | void
Related | ellipseMode() arc()

Updated on October 26, 2013 08:58:31pm PDT